Delete a plugin
Server:
https://{kibana_url}
- DELETE /api/agent_builder/plugins/{pluginId}
Delete an installed plugin by ID. This action cannot be undone. To learn more about Agent Builder plugins, refer to the plugins documentation.
[Required authorization] Route required privileges: agentBuilder:write.
Path Parameters
-
pluginIdstringrequired -
The unique identifier of the plugin.
Query Parameters
-
forceboolean · default: false If true, removes the plugin skills from agents that use them and then deletes the plugin. If false and any agent uses the plugin skills, the request returns 409 Conflict with the list of agents.
Response
200
application/json
Indicates a successful response